<template>
  <div
    data-component-group="lists"
    data-component="invoice-lines"
  >
    <v-list
      two-line
      class="invoice-lines-list"
    >
      <template v-for="(item, index) in rows">
        <v-list-tile
          :key="index"
          avatar
          class="invoice-line-item"
        >
          <v-list-tile-content>
            <AmountLabel
              label="Description"
              :value="item.service_description"
            />
            <AmountLabel
              label="Amount"
              :value="item.amount | currency"
            />
          </v-list-tile-content>
        </v-list-tile>
      </template>
    </v-list>
  </div>
</template>

<script>
  import AmountLabel from '../labels/Amount';
  // TODO: Translate component

  export default {
    components: {
      AmountLabel
    },
    props: {
      rows: {
        type: Array,
        required: true
      }
    }
  };
</script>

<style lang="stylus">
  @import '../../assets/stylus/theme.styl';

  [data-component-group="lists"] {
    &[data-component="invoice-lines"] {
      .invoice-lines-list {
        overflow-x: hidden;
        overflow-y: auto;
        border-radius: 4px;
      }

      .invoice-line-item {
        padding: 0;
        border-bottom: 1px solid $colors.grey.lighten-2;

        &:last-child {
          border: none;
        }
      }

      .v-list__tile {
        height: auto;
      }

      .v-list__tile__content {
        padding: 0;
      }
    }
  }
</style>
